package ub.scp2.boImpl;

import java.util.List;
import ub.scp2.bo.FileTaskBo;
import ub.scp2.dao.FileTaskDao;
import ub.scp2.entities.FileTask;

/**
 * LanguajeBoImpl.java -this class implements the LanguajeBo. This is the Business Object of the Languaje entity 
 * 
 *
 */
public class FileTaskBoImpl implements FileTaskBo, java.io.Serializable {
	
	private FileTaskDao fileTaskDao;

        @Override
        public void saveFileTask(FileTask fileTask) {
                fileTaskDao.saveFileTask(fileTask);
        }

        @Override
        public void deleteFileTask(FileTask fileTask) {
                fileTaskDao.deleteFileTask(fileTask);
        }

        @Override
        public void updateFileTask(FileTask fileTask) {
                fileTaskDao.updateFileTask(fileTask);
        }

        public void setFileTaskDao(FileTaskDao fileTaskDao) {
                this.fileTaskDao = fileTaskDao;
        }

        @Override
        public List<FileTask> getFileTasks() {
                return this.fileTaskDao.getFileTasks();
        }
}
